<?php

class Product_Share_Admin_Settings{
	
	protected static $_instance = null;

    public static function instance() {
        if ( is_null( self::$_instance ) ) {
            self::$_instance = new self();
        }

        return self::$_instance;
    }

    public function __construct(){
        add_action( 'admin_menu', array( __CLASS__, 'product_share_submenu' ), 99 );
        add_action( 'admin_init', array( __CLASS__, 'register_psfw_setting' ) );
        add_action( 'admin_enqueue_scripts', array( __CLASS__, 'admin_assets' ) );
        // Settings Link
        add_filter( 'plugin_action_links_product-share/product-share.php', array( $this, 'settings_link') );
    }

    public static function product_share_submenu( ){

    	add_submenu_page('woocommerce', 'Product Share', 'Product Share', 'manage_options', 'product-share', array( __CLASS__, 'menu_page' ) );
    }

    public static function menu_page(){
        if ( is_file( plugin_dir_path( PRODUCT_SHARE_PLUGIN_FILE ) . 'includes/layout.php' ) ) {
            include_once plugin_dir_path( PRODUCT_SHARE_PLUGIN_FILE ) . 'includes/layout.php';
        }
    }

    public static function get_setting(){
    	return get_option( 'product_share_option' );
    }

    public static function register_psfw_setting(){
    	register_setting( 'product-share-group', 'product_share_option' );
    }

    public static function admin_assets() {
        if ( isset( $_GET['page'] ) && ! empty( $_GET['page'] ) && 'product-share' === $_GET['page'] ) {
            wp_enqueue_style('psfw-admin', plugins_url('admin/css/backend.css', PRODUCT_SHARE_PLUGIN_FILE), array(), product_share()->version(), 'all');
            wp_enqueue_style('psfw-fontawesome-6.1.1', plugins_url('fonts/fontawesome/css/all.css', PRODUCT_SHARE_PLUGIN_FILE), array(), product_share()->version(), 'all');

            wp_enqueue_script('jquery-ui-sortable');
            wp_enqueue_script('psfw-admin', plugins_url('admin/js/backend.js', PRODUCT_SHARE_PLUGIN_FILE), array('jquery'), product_share()->version(), true);
        }
    }

    public function settings_link($links) { 
        // Build and escape the URL.
        $url = esc_url( add_query_arg(
            'page',
            'product-share',
            get_admin_url() . 'admin.php'
        ) );
        // Create the link.
        $settings_link = "<a href='$url'>" . __( 'Settings', 'product-share' ) . '</a>';
        
        // Adds the link to the begining of the array.
        array_unshift( $links, $settings_link ); 
        return $links; 
    }

}