
<div class="wrap">
    
<h1><?php echo esc_attr__('Product Share Settings', 'product-share') ?></h1>
<?php settings_errors(); ?>

<form method="post" action="options.php">
    <?php settings_fields( 'product-share-group' ); ?>
    <?php do_settings_sections( 'product-share-group' ); ?>
    <table class="form-table">
        <tr valign="top">

        	<th scope="row"><?php echo esc_attr__('Icons to Display', 'product-share'); ?></th>
        	<td>
        		<ul id="sortable" style="margin-top: 5px;" class="checklist sortable">
        			<?php

        			$selected_labels = Product_Share::get_options()->selected_lables;

        			foreach ( $selected_labels as $key => $label){ 
        			?>
        				<li id="list_item_<?php echo esc_attr( $key ); ?>" class='ui-state-default'>
                            <label>
                                <input type='hidden' value='<?php echo esc_attr( $label ); ?>' name='product_share_option[buttons][<?php echo esc_attr( $key ); ?>]'>
                                <span>
        						    <i class="fa-brands fa-<?php echo esc_attr( $key ); ?>"></i> <?php echo esc_attr( $label ); ?>
                                </span>
                            </label>
                        </li>
        			<?php
        			}
        			?>


                    <?php

                        $labels = Product_Share::get_options()->labels;
                    ?>
                </ul>

                <button class="more-icons"><i class="fas fa-plus"></i> <?php echo esc_attr__('More Icons', 'product-share'); ?></button>

                <div class="all-icons">

                    <ul id="base-list" class="sortable-list">
                    
                        <li id="facebook">
                            <label>
                                <input type="checkbox" name="product_share_option[all_buttons][facebook]" value="Facebook" <?php checked( in_array( 'Facebook',$labels), 1 ); ?> />
                                <span>
                                    <i class="fa-brands fa-facebook"></i> Facebook
                                </span>
                            </label>
                        </li>
                    

                    
                        <li id="twitter">
                            <label>
                                <input type="checkbox" name="product_share_option[all_buttons][twitter]" value="Twitter" <?php checked(in_array( 'Twitter',$labels), 1 ); ?> />
                                <span>
                                    <i class="fa-brands fa-twitter"></i> Twitter
                                </span>
                            </label>
                        </li>
                    
                   
                        <li id="linkedin">
                            <label>
                                <input type="checkbox" name="product_share_option[all_buttons][linkedin]" value="LinkedIn" <?php checked(in_array( 'LinkedIn', $labels), 1 ); ?> />
                                <span>
                                    <i class="fa-brands fa-linkedin"></i> LinkedIn
                                </span>
                            </label>
                        </li>
                    
                        <li id="viber">
                            <label>
                                <input type="checkbox" name="product_share_option[all_buttons][viber]" value="Viber" <?php checked(in_array( 'Viber', $labels), 1 ); ?> />
                                <span>
                                    <i class="fa-brands fa-viber"></i> Viber
                                </span>
                            </label>
                        </li>
                    
                        <li id="telegram">
                            <label>
                                <input type="checkbox" name="product_share_option[all_buttons][telegram]" value="Telegram" <?php checked(in_array( 'Telegram', $labels), 1 ); ?> />
                                <span>
                                    <i class="fa-brands fa-telegram"></i> Telegram
                                </span>
                            </label>
                        </li>
                    
                        <li id="whatsapp">
                            <label>
                                <input type="checkbox" name="product_share_option[all_buttons][whatsapp]" value="WhatsApp" <?php checked(in_array( 'WhatsApp', $labels), 1 ); ?> />
                                <span>
                                    <i class="fa-brands fa-whatsapp"></i> WhatsApp
                                </span>
                            </label>
                        </li>
                    </ul>

                </div>

        	</td>
        </tr>
        <tr valign="top">
            <th scope="row"><?php echo esc_attr__('Where to Display', 'product-share'); ?></th>
            <td>

                <?php 
                    $display_position = Product_Share::get_options()->display_position;
                ?>

                <select class="regular-ele-width" name='product_share_option[display_position]'>
                    <option value="with_category"
                        <?php echo $display_position == 'with_category' ? "selected" : ''; ?>>Always show with category name</option>
                    <option value="after_product_title"
                        <?php echo $display_position == 'after_product_title' ? "selected" : ''; ?>>Display after product tilte</option>
                    <option value="after_product_price"
                        <?php echo $display_position == 'after_product_price' ? "selected" : ''; ?>>Display after product price</option>
                </select>
            </td>

        </tr>

        <tr valign="top">

            <th scope="row"><?php echo esc_attr__('Icon Appearance', 'product-share'); ?></th>
            <td>
                <?php 
                    $icon_appearance = Product_Share::get_options()->icon_appearance;
                ?>

                <select class="regular-ele-width" name='product_share_option[icon_appearance]'>
                    <option value="only_icon"
                        <?php echo $icon_appearance == 'only_icon' ? "selected" : ''; ?>>Only Icon</option>
                    <option value="only_text"
                        <?php echo $icon_appearance == 'only_text' ? "selected" : ''; ?>>Only Text</option>
                    <option value="icon_with_text"
                        <?php echo $icon_appearance == 'icon_with_text' ? "selected" : ''; ?>>Icon with text</option>
                </select>
            </td>

        </tr>

        <tr valign="top">

            <th scope="row"><?php echo esc_attr__('Social Button Shape', 'product-share'); ?></th>
            <td>
                <?php 
                    $button_shape = Product_Share::get_options()->button_shape;
                ?>

                <select class="regular-ele-width" name='product_share_option[button_shape]'>
                    <option value="round"
                        <?php echo $button_shape == 'round' ? "selected" : ''; ?>>Round</option>
                    <option value="square"
                        <?php echo $button_shape == 'square' ? "selected" : ''; ?>>Square</option>
                </select>
            </td>

        </tr>

        <tr valign="top">

            <th scope="row"><?php echo esc_attr__('Enable "Copy to Clipboard"', 'product-share'); ?></th>
            <td>
                <?php 
                    $copy_to_clipboard = Product_Share::get_options()->copy_to_clipboard;
                ?>
                <label>
                    <input type='checkbox' name='product_share_option[copy_to_clipboard]' value='1' <?php checked( $copy_to_clipboard, 1, true ); ?> />
                    <?php echo esc_attr__('Display "Copy to Clipboard" button to copy product link.', 'product-share'); ?>
                </label>
                <p style="font-style: italic; color: red;">Note: To get it to work, your site should have a secure connection. For Example: https://example.com</p>
            </td>

        </tr>

    </table>
    
    <?php submit_button(); ?>

</form>
</div>
